← EOR worker information operations · All schemas
Add additional information — 200 response body
Referenced models: Add additional information — 200 response body — data
Add additional information — 200 response body — data
| Field | Type | Presence | Description and constraints |
|---|
$ | object | Root | |
updated | boolean | Required within parent | Indicates if contract was updated |
Add additional information — request body — body data
| Field | Type | Presence | Description and constraints |
|---|
$ | object | Root | Additional fields are country/state-specific and validated against the worker additional fields form for the employment country. |
city | string | Required within parent | City |
is_compliance_access_allowed | boolean | Required within parent | Worker access to compliance documents |
is_payslip_access_allowed | boolean | Required within parent | Worker access to payslips |
phone | string | Required within parent | Worker phone |
state | string | Optional | State/province (required for countries with provinces/states). |
street | string | Required within parent | Street |
tax_residence | string | Required within parent | Worker tax residence |
zip_code | string | Required within parent | Zipcode/Post code |
Add bank account — eor Worker Information create Eorworker Bank Account — 201 response body
Referenced models: Add bank account — eor Worker Information create Eorworker Bank Account — 201 response body — data
Add bank account — eor Worker Information create Eorworker Bank Account — 201 response body — data
| Field | Type | Presence | Description and constraints |
|---|
$ | object | Root | |
id | string | Required within parent | ID of Bank Account. |
Add bank account — eor Worker Information create Eorworker Bank Account — request body — body data item
| Field | Type | Presence | Description and constraints |
|---|
$ | object | Root | |
key | string | Required within parent | The key of the bank account properties. |
value | string | Required within parent | The value for that key property. |
List of tax documents for an employee — 200 response body
Referenced models: List of tax documents for an employee — 200 response body — data item
List of tax documents for an employee — 200 response body — data item
| Field | Type | Presence | Description and constraints |
|---|
$ | object | Root | |
country | string | Optional | Country of the tax document |
id | string | Optional | Id of the tax document |
type | string | Optional | Type of the tax document |
url | string | Optional | URL of the tax document |
year | JSON | Optional | |
year (anyOf 1) | number | Alternative | Year of tax document Format: double |
year (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
Update additional information — request body — body data
| Field | Type | Presence | Description and constraints |
|---|
$ | object | Root | You can submit any subset of fields. Keys not listed above are treated as country/state-specific additional information fields. Those keys must match the fields returned by GET /forms/eor/worker-additional-fields/{country_code} (public keys). |
city | string | Optional | City |
dob | string | Optional | Date of birth (ISO 8601 date) |
is_compliance_access_allowed | boolean | Optional | Worker access to compliance documents |
is_payslip_access_allowed | boolean | Optional | Worker access to payslips |
phone | string | Optional | Worker phone |
state | string | Optional | State/province |
street | string | Optional | Street |
tax_residence | string | Optional | Worker tax residence |
zip_code | string | Optional | Zipcode/Post code |